# Class DuplicateFormatFlagsException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
java.util.IllegalFormatException
java.util.DuplicateFormatFlagsException

All Implemented Interfaces:
  `Serializable`

public non-sealed class DuplicateFormatFlagsException extends IllegalFormatException
Unchecked exception thrown when duplicate flags are provided in the format specifier.

Unless otherwise specified, passing a `null` argument to any method or constructor in this class will cause a `NullPointerException` to be thrown.

Since:
  1.5
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DuplicateFormatFlagsException(String f)`
Constructs an instance of this class with the specified flags.

## Method Summary

Modifier and Type
Method
Description
`String`
`getFlags()`
Returns the set of flags which contains a duplicate flag.

### Methods declared in class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DuplicateFormatFlagsException

public DuplicateFormatFlagsException(String f)
Constructs an instance of this class with the specified flags.

Parameters:
  `f` - The set of format flags which contain a duplicate flag.

## Method Details

### getFlags

public String getFlags()
Returns the set of flags which contains a duplicate flag.

Returns:
  The flags